#
# spec file for package lua-luautf8
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define flavor lua53
%define mod_name luautf8
%define rock_version 0.1.5-2
%ifarch %{ix86}
 %define luarock_arch x86
%else
 %ifarch s390x
  %define luarock_arch s390
 %else
  %define luarock_arch %{_arch}
 %endif
%endif
Version:        0.1.5+git6
Release:        1.1
Summary:        A utf-8 support module for Lua and LuaJIT
License:        MIT
Group:          Development/Languages/Other
URL:            https://github.com/starwing/luautf8
Source:         %{mod_name}-%{version}.tar.zst
BuildRequires:  %{flavor}-devel
BuildRequires:  %{flavor}-luarocks
BuildRequires:  lua-macros
BuildRequires:  zstd
Requires:       %{flavor}
%lua_provides
%if "%{flavor}" == ""
Name:           lua-%{mod_name}
ExclusiveArch:  do_not_build
%else
Name:           %{flavor}-%{mod_name}
%endif

%description
This module adds UTF-8 support to Lua. It use data extracted from
Unicode Character Database, and tested on Lua 5.2.3, Lua 5.3.0 and LuaJIT.
parseucd.lua is a pure Lua script generate unidata.h, to support convert
characters and check characters' category. It mainly used to compatible
with Lua's own string module, it passed all string and pattern matching
test in lua test suite2.

%prep
%autosetup -n %{mod_name}-%{version}

%build
%luarocks_build "rockspecs/%{mod_name}-%{rock_version}.rockspec"

%install
%luarocks_install "%{mod_name}-%{rock_version}.linux-%{luarock_arch}.rock"

%check

%files
%{lua_archdir}
%{luarocks_treedir}/%{mod_name}
%docdir %{luarocks_treedir}/%{mod_name}/%{rock_version}/doc
%license %{luarocks_treedir}/%{mod_name}/%{rock_version}/doc/LICENSE

%changelog
* Mon Apr  1 2024 Gordon Leung <pirateclip@protonmail.com>
- Update to 0.1.5+git6
  * Update to Unicode 15.1
- Switch from xz compression to zstd
* Wed Jan 25 2023 Michal Suchanek <msuchanek@suse.de>
- Fix missing dependency on lua-macros (boo#1205612)
* Sat Dec  3 2022 Gordon Leung <pirateclip@protonmail.com>
- Update to version 0.1.5:
  * add clean, isvalid, invalidposition functions
* Sat Nov 19 2022 Gordon Leung <pirateclip@protonmail.com>
- Update to version 0.1.4:
  * Update to Unicode 15
* Fri Sep  2 2022 Callum Farmer <gmbr3@opensuse.org>
- Use new luarocks macros
- Keep luarocks data in the correct place
* Wed Aug 24 2022 Gordon Leung <pirateclip@protonmail.com>
- initial commit
